Name:		fluxconf
Version:	0.9.9
Release:	1%{?dist}
Epoch:		0
Summary:	Configuration utility for fluxbox

Group:          User Interface/Desktops 
License:	GPL
Url:		http://devaux.fabien.free.fr/flux
Source:		http://devaux.fabien.free.fr/flux/fluxconf-0.9.9.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel
Requires:	fluxbox

%description
Fluxbox graphical configuration utilities:
fluxconf: a general configuration tool
fluxkeys: keyboard shortcut configuration tool  
fluxmenu: menu configuration tool using drag & drop

%prep
%setup -q

%build

%configure      --bindir=%{_prefix}/X11R6/bin \
                --mandir=%{_prefix}/X11R6/man \

make %{?_smp_mflags}



%install

rm -rf $RPM_BUILD_ROOT

%makeinstall     bindir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/bin \
                 mandir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/man 

cd $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
rm -f fluxkeys fluxmenu fluxbare
ln %{name} fluxkeys
ln %{name} fluxmenu
ln %{name} fluxbare

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,0755)
%{_prefix}/X11R6/bin/*
%defattr(0644,root,root,0755)
%doc ChangeLog README COPYING AUTHORS NEWS docs/*.png docs/*.html
%defattr(0444,root,root)
%lang(fi) %{_prefix}/share/locale/fi/LC_MESSAGES/%{name}.mo
%lang(fr) %{_prefix}/share/locale/fr/LC_MESSAGES/%{name}.mo

%changelog
* Mon Jan 23 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.9-1
- version upgrade

* Tue May 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- upgrade to 0.9.8

* Tue Jan 13 2004 Arnaud Ablard <arny@arny.org> 
- Initial release
